Method: projects.locations.folders.create

Creates a new Folder in a given project and location.

HTTP request

POST https://dataform.googleapis.com/v1/{parent=projects/*/locations/*}/folders

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The location in which to create the Folder. Must be in the format projects/*/locations/*.

Request body

The request body contains an instance of Folder.

Response body

If successful, the response body contains a newly created instance of Folder.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • dataform.folders.create

For more information, see the IAM documentation.